
public enum Couleur
{
    ArcEnCiel("arcEnCiel"),
    Rouge("rouge"),
    Vert ("vert"),
    Bleu ("bleu"),
    Blanc("blanc");

    private String value;

    private Couleur(String value)
    {
        this.value = value;
    }

    public String getString() { return value; }
    @Override public void toString()
    {
        return getString();
    }

    public static Couleur valueOf(String value) {
        for (Couleur col : Couleur.values()) {
            if(col.getString() == value)
            {
                return col;
            }
        }
        return ArcEnCiel;
    }
}
